import ProjectDescription

let version: SettingValue = "2.23.0"
let baseSettings: [String: SettingValue] = [
    "MARKETING_VERSION": version,
    "PRODUCT_NAME": "SDK Sample",
    "SWIFT_VERSION": "5.0",
    "CLANG_ENABLE_MODULES": "YES",
    "SWIFT_OBJC_BRIDGING_HEADER": "KakaoSDKObjcSample/Sources/KakaoSDKObjcSample-Bridging-Header.h",
    "SWIFT_OBJC_INTERFACE_HEADER_NAME": "KakaoSDKObjcSample-Swift.h"
]

let project = Project(
    name: "KakaoSDKSample",
    targets: [
        .target(
            name: "KakaoSDKObjcSample",
            destinations: .iOS,
            product: .app,
            bundleId: "com.kakao.sdk.sample.open.objc",
            deploymentTargets: .iOS("13.0"),
            infoPlist: .file(path: Path("KakaoSDKObjcSample/Sources/Info.plist")),
            sources: ["KakaoSDKObjcSample/Sources/**"],
            resources: ["KakaoSDKObjcSample/Resources/**"],
            dependencies: [
                .external(name:"Alamofire"),
                .external(name:"KakaoSDKCommon"),
                .external(name:"KakaoSDKTemplate"),
                .external(name:"KakaoSDKAuth"),
                .external(name:"KakaoSDKUser"),
                .external(name:"KakaoSDKCert"),
                .external(name:"KakaoSDKTalk"),
                .external(name:"KakaoSDKFriend"),
                .external(name:"KakaoSDKShare"),
                .external(name:"KakaoSDKNavi")
            ], 
            settings: .settings(base:baseSettings)
        )        
    ]
)
